/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: AsyncEvent.java,v 1.3 2005/05/08 03:06:59 rampil Exp $
 */

package org.logical_paradox.common.net.async;

import java.nio.channels.SelectableChannel;
import java.util.EventObject;

/***
 * AsyncEvent
 * 非同期イベントオブジェクト
 * 
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class AsyncEvent extends EventObject {
	/** チャンネル */
	private final SelectableChannel channel;

	/**
	 * コンストラクタ
	 * @param src イベントソース
	 * @param ch チャンネル
	 */
	public AsyncEvent(Object src, SelectableChannel ch) {
		super( src );
		channel = ch;
	}
	/**
	 * チャンネルを返す
	 * @return チャンネル
	 */
	public SelectableChannel getChannel() {
		return channel;
	}
}
